[APP] "THE scraper", lo scraper UNIVERSALE per RetroPie by F. Lancioni

Qui trovate le applicazioni sviluppate in esclusiva per RetroPie Italia Forum ;-)
damon
Messaggi: 26
Iscritto il: gio apr 12, 2018 4:24 pm
Reputation: Locked

Re: [APP] "THE scraper", lo scraper UNIVERSALE per RetroPie by F. Lancioni

Messaggioda damon » sab ott 06, 2018 1:31 pm

Versione THE SCRAPER 2.87
Retropie 4.3 con immagine custom

Ho aggiornato la versione di THE SCRAPER, poi al momento della verifica della licenza

Codice: Seleziona tutto

Hai una licenza per THE scraper?

1. SI

2. NO (Esci)

Inserisci il numero che corrisponde alla tua risposta: 1
/bin/sh: 1: nodejs: not found
/bin/sh: 1: nodejs: not found
Node.js is not present, install it with "sudo apt install nodejs"
Node.js non è presente, installalo con "sudo apt install nodejs"
pi@retropie:~/RetroPie $


Ho seguito il consiglio digitando sudo apt install nodejs
e mi è apparso

Codice: Seleziona tutto

pi@retropie:~/RetroPie $ sudo apt install nodejs
E: dpkg è stato interrotto. È necessario eseguire "sudo dpkg --configure -a" per correggere il problema.
pi@retropie:~/RetroPie $ sudo dpkg --configure -a
Configurazione di man-db (2.7.5-1~bpo8+1)...
Building database of manual pages ...
pi@retropie:~/RetroPie $


Alla fine, dopo aver dato i comandi che mi suggeriva...riprovando ad usare THE SCRAPER, mi ridà il primo errore...e non parte.

Codice: Seleziona tutto

Hai una licenza per THE scraper?

1. SI

2. NO (Esci)

Inserisci il numero che corrisponde alla tua risposta: 1
/bin/sh: 1: nodejs: not found
/bin/sh: 1: nodejs: not found
Node.js is not present, install it with "sudo apt install nodejs"
Node.js non è presente, installalo con "sudo apt install nodejs"
pi@retropie:~/RetroPie $



EDIT

Dopo vari riavvii e tenativi sembra che abbia scaricato qualcosa, lo posto se può essere di aiuto per altri...

Codice: Seleziona tutto

Hai una licenza per THE scraper?

1. SI

2. NO (Esci)

Inserisci il numero che corrisponde alla tua risposta: 1
/bin/sh: 1: nodejs: not found
/bin/sh: 1: nodejs: not found
Node.js is not present, install it with "sudo apt install nodejs"
Node.js non è presente, installalo con "sudo apt install nodejs"
pi@retropie:~/RetroPie $ sudo apt install nodejs
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti saranno inoltre installati:
  libc-ares2 libv8-3.14.5
I seguenti pacchetti NUOVI saranno installati:
  libc-ares2 libv8-3.14.5 nodejs
0 aggiornati, 3 installati, 0 da rimuovere e 133 non aggiornati.
È necessario scaricare 1.768 kB di archivi.
Dopo quest'operazione, verranno occupati 6.431 kB di spazio su disco.
Continuare? [S/n] S
Scaricamento di:1 http://mirrordirector.raspbian.org/raspbian/ jessie/main libc-ares2 armhf 1.10.0-2+deb8u2 [66,7 kB]
Scaricamento di:2 http://mirrordirector.raspbian.org/raspbian/ jessie/main libv8-3.14.5 armhf 3.14.5.8-8.1+rpi1 [1.088 kB]
Scaricamento di:3 http://mirrordirector.raspbian.org/raspbian/ jessie/main nodejs armhf 0.10.29~dfsg-2 [614 kB]
Recuperati 1.768 kB in 2s (864 kB/s)
Selezionato il pacchetto libc-ares2:armhf non precedentemente selezionato.
(Lettura del database... 127778 file e directory attualmente installati.)
Preparativi per estrarre .../libc-ares2_1.10.0-2+deb8u2_armhf.deb...
Estrazione di libc-ares2:armhf (1.10.0-2+deb8u2)...
Selezionato il pacchetto libv8-3.14.5 non precedentemente selezionato.
Preparativi per estrarre .../libv8-3.14.5_3.14.5.8-8.1+rpi1_armhf.deb...
Estrazione di libv8-3.14.5 (3.14.5.8-8.1+rpi1)...
Selezionato il pacchetto nodejs non precedentemente selezionato.
Preparativi per estrarre .../nodejs_0.10.29~dfsg-2_armhf.deb...
Estrazione di nodejs (0.10.29~dfsg-2)...
Elaborazione dei trigger per man-db (2.7.5-1~bpo8+1)...
Configurazione di libc-ares2:armhf (1.10.0-2+deb8u2)...
Configurazione di libv8-3.14.5 (3.14.5.8-8.1+rpi1)...
Configurazione di nodejs (0.10.29~dfsg-2)...
update-alternatives: viene usato /usr/bin/nodejs per fornire /usr/bin/js (js) in modalità automatica
Elaborazione dei trigger per libc-bin (2.19-18+deb8u10)...
pi@retropie:~/RetroPie $


ho provato ad avviare e sembra vada tutto bene!
GRAZIE


Avatar utente
Ionic
Messaggi: 407
Iscritto il: ven giu 03, 2016 9:34 pm
Reputation: Locked

Re: [APP] "THE scraper", lo scraper UNIVERSALE per RetroPie by F. Lancioni

Messaggioda Ionic » sab ott 06, 2018 6:24 pm

damon ti spiego la sequenza :-)

THE scraper ti avvisava che per funzionare ha bisogno di nodejs e infatti ti diceva di installarlo con

Codice: Seleziona tutto

sudo apt install nodejs

A quel punto il tuo sistema, quindi niente a che vedere con THE scaper, ti informava di avere alcuni problemi nell'installazione dei pacchetti e che per risolverli dovevi eseguire

Codice: Seleziona tutto

sudo dpkg --configure -a

Fatto ciò non avevi ancora installato nodejs ma avevi semplicemente risolto i problemi che avevi nel sistema. Eseguendo THE scraper venivi avvisato nuovamente della mancanza di nodejs, che non avevi ancora installato, motivo per cui hai dovuto eseguire ancora una volta

Codice: Seleziona tutto

sudo apt install nodejs

Niente di misterioso, basta leggere quello che ci viene indicato a schermo ;-)

damon
Messaggi: 26
Iscritto il: gio apr 12, 2018 4:24 pm
Reputation: Locked

Re: [APP] "THE scraper", lo scraper UNIVERSALE per RetroPie by F. Lancioni

Messaggioda damon » mar ott 09, 2018 1:31 pm

Ionic ha scritto:Niente di misterioso, basta leggere quello che ci viene indicato a schermo ;-)


Innanzitutto GRAZIE ;) per avermi spiegato qualcosa, ma il mio post era per mettere a conoscenza qualcun altro di ciò che poteva capitare.
Come vedi, ho eseguito tutti i passaggi indicati ed ho risolto tutto già da solo :)



Torna a “12. RetroPie Italia APP”

Chi c’è in linea

Visitano il forum: Nessuno e 0 ospiti